{
  "openapi": "3.0.1",
  "info": {
    "title": "digiFi Service",
    "description": "Contents for digiFi Services",
    "license": {
      "name": "ChiefSoft Works Licence",
      "url": "https://chiefsoft.net/licence"
    },
    "version": "v1"
  },
  "paths": {
    "/digiusers/v1/bvn": {
      "post": {
        "tags": [
          "BVN"
        ],
        "parameters": [
          {
            "name": "bvn",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "nullable": true
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/BNV.RequestType"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BNV.RequestType"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/BNV.RequestType"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/BNV.RequestType"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BNV.ResponseType"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/BNV.ResponseType"
                }
              }
            }
          },
          "default": {
            "description": "Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseType"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseType"
                }
              }
            }
          }
        }
      }
    },
    "/digiusers/v1/bvn/verify": {
      "post": {
        "tags": [
          "BVN"
        ],
        "parameters": [
          {
            "name": "bvn",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "nullable": true
            }
          },
          {
            "name": "otp",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "nullable": true
            }
          },
          {
            "name": "verification_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "nullable": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BNV.Verify.ResponseType"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/BNV.ResponseType"
                }
              }
            }
          },
          "default": {
            "description": "Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseType"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseType"
                }
              }
            }
          }
        }
      }
    },
    "/digiusers/v1/dash/{uid}": {
      "get": {
        "tags": [
          "Dashboard"
        ],
        "parameters": [
          {
            "name": "uid",
            "in": "query",
            "schema": {
              "type": "string",
              "nullable": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BNV.ResponseType"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/BNV.ResponseType"
                }
              }
            }
          },
          "default": {
            "description": "Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseType"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseType"
                }
              }
            }
          }
        }
      }
    },
    "/digiusers/v1/loan/apply": {
      "post": {
        "tags": [
          "Loan"
        ],
        "parameters": [
          {
            "name": "Id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "nullable": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BNV.Verify.ResponseType"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/BNV.ResponseType"
                }
              }
            }
          },
          "default": {
            "description": "Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseType"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseType"
                }
              }
            }
          }
        }
      }
    },
    "/digiusers/v1/loan/loanlist/{uid}": {
      "get": {
        "tags": [
          "Loan"
        ],
        "parameters": [
          {
            "name": "uid",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "nullable": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BNV.Verify.ResponseType"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/BNV.ResponseType"
                }
              }
            }
          },
          "default": {
            "description": "Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseType"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseType"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "BNV.ResponseType": {
        "type": "object",
        "properties": {
          "HasResult": {
            "type": "boolean",
            "description": "Indicates if the response contains a result",
            "readOnly": true
          },
          "ResponseData": {
            "$ref": "#/components/schemas/BVNResponseModel"
          },
          "Successful": {
            "type": "boolean",
            "description": "Indicates if the response is successful or not. Warning or success result type indicate success",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "BNV.RequestType": {
        "required": [
          "bvn"
        ],
        "type": "object",
        "properties": {
          "bvn": {
            "type": "string"
          }
        },
        "additionalProperties": false
      },
      "BNV.Verify.ResponseType": {
        "type": "object",
        "properties": {
          "HasResult": {
            "type": "boolean",
            "description": "Indicates if the response contains a result",
            "readOnly": true
          },
          "ResponseData": {
            "$ref": "#/components/schemas/BVNVerifyResponseModel"
          },
          "Successful": {
            "type": "boolean",
            "description": "Indicates if the response is successful or not. Warning or success result type indicate success",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "BVNResponseModel": {
        "type": "object",
        "properties": {
          "validation_id": {
            "type": "string",
            "description": "Indicates if the response contains a result",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "BVNVerifyResponseModel": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "description": "Indicates if the response contains a result",
            "readOnly": true
          },
          "call_return": {
            "type": "string",
            "description": "Indicates if the response contains a result",
            "readOnly": true
          },
          "uid": {
            "type": "string",
            "description": "Indicates if the response contains a result",
            "readOnly": true
          },
          "firstname": {
            "type": "string",
            "description": "Indicates if the response contains a result",
            "readOnly": true
          },
          "lastname": {
            "type": "string",
            "description": "Indicates if the response contains a result",
            "readOnly": true
          },
          "last_login": {
            "type": "string",
            "description": "Indicates if the response contains a result",
            "readOnly": true
          },
          "token": {
            "type": "string",
            "description": "Indicates if the response contains a result",
            "readOnly": true
          }
        },
        "additionalProperties": false
      },
      "ErrorResponseType": {
        "type": "object",
        "properties": {
          "HasResult": {
            "type": "boolean",
            "description": "Indicates if the response contains a result",
            "readOnly": true
          },
          "ResponseData": {
            "$ref": "#/components/schemas/BVNResponseModel"
          },
          "Successful": {
            "type": "boolean",
            "description": "Indicates if the response is successful or not. Warning or success result type indicate success",
            "readOnly": true
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. \r\n                      \nEnter 'Bearer' [space] and then your token in the text input below.\r\n                      \nExample: 'Bearer 12345abcdef'",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "Bearer": []
    }
  ]
}